TCPCI(4)

NAME
tcpci - USB Type-C Port Controller Interface

SYNOPSIS
tcpci* at iic?

DESCRIPTION
The tcpci driver provides support for the USB Type-C Port Controller Interface. It takes care of plug and unplug events on the USB Type-C port and discovers the orientation of the plug so that the USB SuperSpeed pins can be routed correctly. Additionally it enables power on the USB Type-C port when a sink is connected to power attached devices.

SEE ALSO
iic(4)

HISTORY
The tcpci driver first appeared in OpenBSD 6.7.

AUTHORS
-nosplit The tcpci driver was written by Patrick Wildt <patrick@blueri.se>.